Capsule API Example

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
CCardio.h File Reference
`#include "CDefinesPrivate.h"`
`#include "CDevice.h"`
`#include "CNFBCalibrator.h"`
`#include "CPPGTimedData.h"`

Go to the source code of this file.

## Classes
struct | clCCardio_Data

## Typedefs
typedef struct clCCardio_Data | clCCardio_Data
typedef void(* | clCCardio_IndexesUpdateHandler) (clCCardio, const clCCardio_Data *) NOEXCEPT
typedef void(* | clCCardio_CalibratedHandler) (clCCardio) NOEXCEPT
typedef void(* | clCCardio_PPGDataHandler) (clCCardio, clCPPGTimedData) NOEXCEPT

## Functions
| CLC_CLASS_WN (ClassificationCardioPrivate, clCCardio)
CL_DLL clCCardio | clCCardio_Create (clCDevice device, clCError *error) NOEXCEPT
CL_DLL clCCardio | clCCardio_CreateCalibrated (clCDevice device, clCNFBCalibrator calibrator, clCError *error) NOEXCEPT
CL_DLL void | clCCardio_SetOnIndexesUpdateEvent (clCCardio cardio, clCCardio_IndexesUpdateHandler handler, clCError *error) NOEXCEPT
CL_DLL void | clCCardio_SetOnCalibratedEvent (clCCardio cardio, clCCardio_CalibratedHandler handler, clCError *error) NOEXCEPT
CL_DLL void | clCCardio_SetOnPPGDataEvent (clCCardio cardio, clCCardio_PPGDataHandler handler, clCError *error) NOEXCEPT

## Typedef Documentation

## ◆ clCCardio_CalibratedHandler

typedef void(* clCCardio_CalibratedHandler) (clCCardio) NOEXCEPT

## ◆ clCCardio_Data

typedef struct clCCardio_Data clCCardio_Data

## ◆ clCCardio_IndexesUpdateHandler

typedef void(* clCCardio_IndexesUpdateHandler) (clCCardio, const clCCardio_Data *) NOEXCEPT

## ◆ clCCardio_PPGDataHandler

typedef void(* clCCardio_PPGDataHandler) (clCCardio, clCPPGTimedData) NOEXCEPT

## Function Documentation

## ◆ CLC_CLASS_WN()

CLC_CLASS_WN | ( | ClassificationCardioPrivate | ,
|  | clCCardio | )

## ◆ clCCardio_Create()

CL_DLL clCCardio clCCardio_Create | ( | clCDevice | device,
|  | clCError * | error )

## ◆ clCCardio_CreateCalibrated()

CL_DLL clCCardio clCCardio_CreateCalibrated | ( | clCDevice | device,
|  | clCNFBCalibrator | calibrator,
|  | clCError * | error )

## ◆ clCCardio_SetOnCalibratedEvent()

CL_DLL void clCCardio_SetOnCalibratedEvent | ( | clCCardio | cardio,
|  | clCCardio_CalibratedHandler | handler,
|  | clCError * | error )

## ◆ clCCardio_SetOnIndexesUpdateEvent()

CL_DLL void clCCardio_SetOnIndexesUpdateEvent | ( | clCCardio | cardio,
|  | clCCardio_IndexesUpdateHandler | handler,
|  | clCError * | error )

## ◆ clCCardio_SetOnPPGDataEvent()

CL_DLL void clCCardio_SetOnPPGDataEvent | ( | clCCardio | cardio,
|  | clCCardio_PPGDataHandler | handler,
|  | clCError * | error )